Quick introduction to the HTML DOM selection API.

## Reference

### Selection

    var sel = document.getSelection()

See: https://devdocs.io/dom/selection

### Methods

    sel.removeAllRanges() //  deselects
    sel.addRange(range) //    sets a selection
    sel.removeRange(range) // remove a range

    sel.rangeCount
    sel.getRangeAt(0) // get the 0th range

### Collapsing

    sel.collapse(parent, offset)
    sel.collapseToEnd()
    sel.collapseToStart()
    sel.isCollapsed

    sel.containsNode(node)

### Deleting

    sel.deleteFromDocument()

### Events

    document.addEventListener('selectionchange', () => {})

0 Comments for this cheatsheet. Write yours!